<?xml version="1.0" encoding="utf-16"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
	<xsl:template match="list">
		<svg width="660px" height="200px" xmlns="http://www.w3.org/2000/svg">
			<g id="graph" transform="translate(0,200)">
				<xsl:for-each select="input">
					<xsl:variable name="va" select="val"/>
					<xsl:variable name="nu" select="number"/>
					<rect x="{$nu*50-48}" y="-{$va*0.15}" height="{$va*0.15}" width="46" style="fill:deepskyblue;"/>	
					<text x="{$nu*50-25}" y="-{$va*0.15+7.5}" text-anchor="middle" style="font-family:arial;fill:navy;font-size:11px;">
						<xsl:value-of select="name"/>
					</text>
				</xsl:for-each> 
			</g>
		</svg>
	</xsl:template>
</xsl:transform>